#! /bin/sh 
#
# SGE configuration script (Installation/Uninstallation/Upgrade/Downgrade)
# Scriptname: inst_qmaster.sh
# Module: qmaster installation functions
#
# (c) 2009 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.  


#-------------------------------------------------------------------------
# The service tags support
# uses $UPDATE, $QMASTER, 
#
ServiceTagsSupport()
{
   if [ "$SGE_ENABLE_ST" = false ]; then
       return
   fi

   SGE_ST_CMD=util/sgeST/sge_st

   if [ "$QMASTER" = "install" ]; then
      st_supported=`$SGE_ST_CMD "supported"`
      if [ "$st_supported" = "true" ]; then
         $SGE_ST_CMD "enable" > /dev/null
      fi
   elif [ $QMASTER = "uninstall" ]; then
      $SGE_ST_CMD "unregister" > /dev/null 
   fi
}
