#!/bin/sh
##########################################################################
# (c) 2009 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.  

hostname=$1

SGE_HADOOP=`dirname $0`
export SGE_HADOOP

# Create a conf directory for this cluster
HADOOP_CONF_DIR=$TMP/conf
export HADOOP_CONF_DIR

if [  ! -d $HADOOP_CONF_DIR -a ! -f $HADOOP_CONF_DIR ]; then
  mkdir $HADOOP_CONF_DIR
  cp $SGE_HADOOP/conf/* $HADOOP_CONF_DIR

  # Create the mapred-site.xml file
  echo '<?xml version="1.0"?>' > $HADOOP_CONF_DIR/mapred-site.xml
  echo '<?xml-stylesheet type="text/xsl" href="configuration.xsl"?>' >> $HADOOP_CONF_DIR/mapred-site.xml
  echo '<configuration>' >> $HADOOP_CONF_DIR/mapred-site.xml
  echo '    <property>' >> $HADOOP_CONF_DIR/mapred-site.xml
  echo '        <name>mapred.job.tracker</name>' >> $HADOOP_CONF_DIR/mapred-site.xml
  echo "        <value>$hostname:9001</value>" >> $HADOOP_CONF_DIR/mapred-site.xml
  echo '    </property>' >> $HADOOP_CONF_DIR/mapred-site.xml
  echo '</configuration>' >> $HADOOP_CONF_DIR/mapred-site.xml
fi
